Debian Bug report logs - #701018
ITP: rtl-sdr -- Software defined radio receiver for Realtek RTL2832U dongles

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Uwe Hermann <uwe@hermann-uwe.de>

Date: Wed, 20 Feb 2013 13:15:02 UTC

Owned by: Uwe Hermann <uwe@debian.org>

Severity: wishlist

Fixed in version rtl-sdr/0.5.0.4.4914-1

Done: bottoms@debian.org (A. Maitland Bottoms)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, uwe@debian.org, debian-devel@lists.debian.org, wnpp@debian.org, Uwe Hermann <uwe@debian.org>:
Bug#701018; Package wnpp. (Wed, 20 Feb 2013 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
New Bug report received and forwarded. Copy sent to uwe@debian.org, debian-devel@lists.debian.org, wnpp@debian.org, Uwe Hermann <uwe@debian.org>. (Wed, 20 Feb 2013 13:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: rtl-sdr -- Software defined radio receiver for Realtek RTL2832U dongles
Date: Wed, 20 Feb 2013 14:13:46 +0100
Package: wnpp
Severity: wishlist
Owner: Uwe Hermann <uwe@debian.org>

* Package name    : rtl-sdr
  Version         : git snapshot
  Upstream Author : Steve Markgraf <steve@steve-m.de>, Dimitri Stolnikov <horiz0n@gmx.net>, Hoernchen <la@tfc-server.de>, Kyle Keen <keenerd@gmail.com>, others
* URL             : http://sdr.osmocom.org/trac/wiki/rtl-sdr
* License         : GPL, version 2 or later
  Programming Lang: C
  Description     : Software defined radio receiver for Realtek RTL2832U
dongles

rtl-sdr is a software defined radio (SDR) receiver software for certain
low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.


I plan to make a librtlsdr, librtlsdr-dev, and rtl-sdr package (the
latter containing the binary tools shipped with rtl-sdr).

Available tools that ship with rtl-sdr currently include:

 - rtl_adsb: a simple ADS-B decoder for RTL2832 based DVB-T receivers
 - rtl_eeprom: an EEPROM programming tool for RTL2832 based DVB-T receivers
 - rtl_fm: a narrow band FM demodulator for RTL2832 based DVB-T receivers
 - rtl_sdr: an I/Q recorder for RTL2832 based DVB-T receivers
 - rtl_tcp: an I/Q spectrum server for RTL2832 based DVB-T receivers
 - rtl_test: a benchmark tool for RTL2832 based DVB-T receivers

Note that there are also other tools using librtlsdr that are not part
of the 'rtl-sdr' project, those will have extra ITPs, but will be using
the librtlsdr shared library provided by this package.


Uwe.
-- 
http://hermann-uwe.de     | http://sigrok.org
http://randomprojects.org | http://unmaintained-free-software.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Uwe Hermann <uwe@debian.org>:
Bug#701018; Package wnpp. (Fri, 10 May 2013 07:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Uwe Hermann <uwe@debian.org>. (Fri, 10 May 2013 07:36:04 GMT) Full text and rfc822 format available.

Message #10 received at 701018@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Uwe Hermann <uwe@hermann-uwe.de>
Cc: 701018@bugs.debian.org
Subject: #701018 ITP: rtl-sdr -- Software defined radio receiver for Realtek RTL2832U dongles
Date: Fri, 10 May 2013 10:32:28 +0300
Hi,

are you also interested in packaging gr-osmosdr that allows you to use
RTL2832U dongles from gnuradio?

http://sdr.osmocom.org/trac/wiki/GrOsmoSDR

I have access to both USRP N210 and RTL2832U and could test your uploads
easily.

-Timo



Added indication that bug 701018 blocks 712830 Request was from Bob Bib <bobbibmpn@mail.ru> to control@bugs.debian.org. (Fri, 21 Jun 2013 15:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Uwe Hermann <uwe@debian.org>:
Bug#701018; Package wnpp. (Wed, 17 Jul 2013 17:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Uwe Hermann <uwe@debian.org>. (Wed, 17 Jul 2013 17:09:04 GMT) Full text and rfc822 format available.

Message #17 received at 701018@bugs.debian.org (full text, mbox):

From: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
To: 701018@bugs.debian.org
Subject: #701018 ITP: rtl-sdr -- Software defined radio receiver for Realtek RTL2832U dongles
Date: Wed, 17 Jul 2013 18:56:46 +0200
Hi guys,

I had to package rtl-sdr for my own needs... The packages isn't perfect yet:

* Some files have no copyright/license information (they probably come 
from the Linux kernel), I marked them as "unknown" in debian/copyright
* Manpages are missing
* Doxygen doc isn't generated

If someone want to help or upload this package to Debian, it's available 
here:

dget -x 
http://mentors.debian.net/debian/pool/main/r/rtl-sdr/rtl-sdr_0.5.0+git20130715-1.dsc


Regards, Adam.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Uwe Hermann <uwe@debian.org>:
Bug#701018; Package wnpp. (Sat, 28 Sep 2013 23:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "A. Maitland Bottoms" <bottoms@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Uwe Hermann <uwe@debian.org>. (Sat, 28 Sep 2013 23:15:04 GMT) Full text and rfc822 format available.

Message #22 received at 701018@bugs.debian.org (full text, mbox):

From: "A. Maitland Bottoms" <bottoms@debian.org>
To: 701018@bugs.debian.org
Subject: #701018 ITP: rtl-sdr -- Software defined radio receiver for Realtek RTL2832U dongles
Date: Sat, 28 Sep 2013 19:11:58 -0400
So I too have had my own rtl-sdr packages for a while.

This weekend I'm updating everything with the idea of
matching the GNU Radio LiveDVD release 2013-0926
in Debian.

So I have a plan to try just removing the offending
files to upload a DFSG version simply to get rtl-sdr
into Debian. Then we can continue to chase down the
provenance of a few files later.

I say this of course because the devices _I_ own are
supported by the remaining files. :)

In any case I'd be open to putting rtl-sdr into
collab-maint on alioth as well as dump1090.
Adam - is fr24feed good enough for mentors.debian.net?

-Maitland



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Uwe Hermann <uwe@debian.org>:
Bug#701018; Package wnpp. (Sun, 29 Sep 2013 06:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "A. Maitland Bottoms" <bottoms@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Uwe Hermann <uwe@debian.org>. (Sun, 29 Sep 2013 06:18:04 GMT) Full text and rfc822 format available.

Message #27 received at 701018@bugs.debian.org (full text, mbox):

From: "A. Maitland Bottoms" <bottoms@debian.org>
To: 701018@bugs.debian.org
Subject: #701018 ITP: rtl-sdr -- Software defined radio receiver for Realtek RTL2832U dongles
Date: Sun, 29 Sep 2013 02:15:35 -0400
The osmocom repository
http://cgit.osmocom.org/rtl-sdr/
has a clear record, and I've used the
git log messages to assign copyright
to the tuner_fc2580.[ch] and tuner_r820t.[ch] files.
The license is that of the rtl-sdr project, GPL-2+.

I've decided to sponsor
Adam Cécile (Le_Vert) <gandalf@le-vert.net>
since the result of merging his debian/ files
and mine looks mostly like his version.

I am writing some man pages with the goal of
a lintian clean upload.

-Maitland



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 29 Sep 2013 20:06:09 GMT) Full text and rfc822 format available.

Added indication that bug 701018 blocks 726469 Request was from "A. Maitland Bottoms" <bottoms@debian.org> to control@bugs.debian.org. (Wed, 16 Oct 2013 02:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Uwe Hermann <uwe@debian.org>:
Bug#701018; Package wnpp. (Wed, 16 Oct 2013 14:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Uwe Hermann <uwe@debian.org>. (Wed, 16 Oct 2013 14:39:09 GMT) Full text and rfc822 format available.

Message #36 received at 701018@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: "A. Maitland Bottoms" <bottoms@debian.org>, 701018@bugs.debian.org
Cc: Adam Cécile (Le_Vert) <gandalf@le-vert.net>, Timo Juhani Lindfors <timo.lindfors@iki.fi>
Subject: Re: Bug#701018: #701018 ITP: rtl-sdr -- Software defined radio receiver for Realtek RTL2832U dongles
Date: Wed, 16 Oct 2013 16:35:26 +0200
Hi,

doesn't look like I'll have time to take care of rtl-sdr anytime soon,
please consider my ITP retracted. If anyone of you guys wants to take
over the package please go ahead. Sorry for the trouble.


Cheers, Uwe.
-- 
http://hermann-uwe.de | http://randomprojects.org | http://sigrok.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Uwe Hermann <uwe@debian.org>:
Bug#701018; Package wnpp. (Wed, 16 Oct 2013 16:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "A. Maitland Bottoms" <bottoms@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Uwe Hermann <uwe@debian.org>. (Wed, 16 Oct 2013 16:00:10 GMT) Full text and rfc822 format available.

Message #41 received at 701018@bugs.debian.org (full text, mbox):

From: "A. Maitland Bottoms" <bottoms@debian.org>
To: Uwe Hermann <uwe@hermann-uwe.de>
Cc: 701018@bugs.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>, Timo Juhani Lindfors <timo.lindfors@iki.fi>
Subject: Re: Bug#701018: #701018 ITP: rtl-sdr -- Software defined radio receiver for Realtek RTL2832U dongles
Date: Wed, 16 Oct 2013 11:57:30 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

>>>>> "Uwe" == Uwe Hermann <uwe@hermann-uwe.de> writes:
Uwe> doesn't look like I'll have time to take care of rtl-sdr anytime soon,
Uwe> please consider my ITP retracted. If anyone of you guys wants to take
Uwe> over the package please go ahead. Sorry for the trouble.

That is quite allright. It's been a wild ride following rtl-sdr
activity, but things seem to have settled into a form worth capturing
as Debian packages. That said, if you have any ideas on getting
upstream to move forward with sane version numbering and use of
library sonames and soversion, keep contributing!

Motivated by Jonathan Corgan's effort to come up with a consistant
set of GNU Radio community packages for his gr-live DVD project, I
have taken his set of revisions to upload new Debian packages.

So I have have been working toward getting gqrx-sdr into Debian.
It depends upon gr-osmosdr, and so I have uploaded all the
packages needed by gr-osmosdr into NEW already. I've got my
gqrx-sdr and gr-osmosdr packages in good shape, and they will
soon follow modulo any bugs turned up by the autobuilders for
various odd architectures.

Once this set of packages are accepted into Debian, I want to
put all the package development into git on Alioth under
collab-maint. Then I can start building a software defined
radio maintenance team. You are on my list - let me know what you
would like to see that would make it easier for you to contribute.
I'm thinking some git-buildpackage workflow - but I still haven't
learned much about that yet myself.

Thanks for your interest,
- -Maitland
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Processed by Mailcrypt 3.5.9 <http://mailcrypt.sourceforge.net/>

iEYEARECAAYFAlJet2EACgkQkwbJvNrxBUwfhwCeLe/jeUBKlLWqf1qdYSPC6P71
g0cAoJbkF8iJ5UASYE3/CYs8O8HytZK8
=P+t1
-----END PGP SIGNATURE-----



Reply sent to bottoms@debian.org (A. Maitland Bottoms):
You have taken responsibility. (Fri, 01 Nov 2013 01:03:05 GMT) Full text and rfc822 format available.

Notification sent to Uwe Hermann <uwe@hermann-uwe.de>:
Bug acknowledged by developer. (Fri, 01 Nov 2013 01:03:05 GMT) Full text and rfc822 format available.

Message #46 received at 701018-close@bugs.debian.org (full text, mbox):

From: bottoms@debian.org (A. Maitland Bottoms)
To: 701018-close@bugs.debian.org
Subject: Bug#701018: fixed in rtl-sdr 0.5.0.4.4914-1
Date: Fri, 01 Nov 2013 01:00:09 +0000
Source: rtl-sdr
Source-Version: 0.5.0.4.4914-1

We believe that the bug you reported is fixed in the latest version of
rtl-sdr, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701018@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
A. Maitland Bottoms <bottoms@debian.org> (supplier of updated rtl-sdr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 Sep 2013 16:55:08 -0400
Source: rtl-sdr
Binary: librtlsdr-dev librtlsdr0 rtl-sdr
Architecture: source amd64
Version: 0.5.0.4.4914-1
Distribution: unstable
Urgency: low
Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Changed-By: A. Maitland Bottoms <bottoms@debian.org>
Description: 
 librtlsdr-dev - Software defined radio receiver for Realtek RTL2832U (library)
 librtlsdr0 - Software defined radio receiver for Realtek RTL2832U (development
 rtl-sdr    - Software defined radio receiver for Realtek RTL2832U (tools)
Closes: 701018
Changes: 
 rtl-sdr (0.5.0.4.4914-1) unstable; urgency=low
 .
   * New upstream snapshot (Closes: #701018).
   * Match GNU Radio live distribution version
   * Sponsored upload
Checksums-Sha1: 
 3c81df7b738ff0c7d54fe353262f8196fb90a073 1335 rtl-sdr_0.5.0.4.4914-1.dsc
 e44dd5790e32c2dd0acde4a7d1d86c5fe501fbec 113402 rtl-sdr_0.5.0.4.4914.orig.tar.gz
 26ffaf20d6006f036b457a6a72c2cf4453a46b60 8957 rtl-sdr_0.5.0.4.4914-1.debian.tar.gz
 24b57fd7d0b3e81bc668d5937517efb07074beae 32874 librtlsdr-dev_0.5.0.4.4914-1_amd64.deb
 54902cf0089aeeaf76df63cddbe1aac01b7cefb2 29982 librtlsdr0_0.5.0.4.4914-1_amd64.deb
 1fb9cdd252e06287a0681c8ef8e895daeadb39b5 37800 rtl-sdr_0.5.0.4.4914-1_amd64.deb
Checksums-Sha256: 
 9b639f3fee18d40604326437168c50b223d985b4af475d317f5027bc3f302ccc 1335 rtl-sdr_0.5.0.4.4914-1.dsc
 6b808f55cb1c1c7f428e502a9f4e454a9b6e83de3cfd361e790943fb776f8225 113402 rtl-sdr_0.5.0.4.4914.orig.tar.gz
 b966e60bc89bb2b3a3ebdb02d9ed84bfc79c7d49d539841958ca077a29c6c316 8957 rtl-sdr_0.5.0.4.4914-1.debian.tar.gz
 3e4bd760d5c78e9381c3b0059e82f201fcdeb241b5517f7f3c1e1037ce961299 32874 librtlsdr-dev_0.5.0.4.4914-1_amd64.deb
 66b3f04d0db39f165be7c44729e68639564d21f9053849a115068a056fd540f2 29982 librtlsdr0_0.5.0.4.4914-1_amd64.deb
 12ea743f478db854534720400df9bacce72eb06cfd97597b52a78d444f5088ad 37800 rtl-sdr_0.5.0.4.4914-1_amd64.deb
Files: 
 01ff4d65758fc17b25cceac43340e27f 1335 libs extra rtl-sdr_0.5.0.4.4914-1.dsc
 f73469de8f6e7a8ad25dbe0b466725ee 113402 libs extra rtl-sdr_0.5.0.4.4914.orig.tar.gz
 9e8a80493c3fdd64bd66ccd36054980a 8957 libs extra rtl-sdr_0.5.0.4.4914-1.debian.tar.gz
 183b61494589350c5660c746e4544a12 32874 libdevel extra librtlsdr-dev_0.5.0.4.4914-1_amd64.deb
 04c092c9ed2d6dc2a5ea341ae24a08e8 29982 libs extra librtlsdr0_0.5.0.4.4914-1_amd64.deb
 48def89ac3f9d3c244ef6a3a276f6ba6 37800 libs extra rtl-sdr_0.5.0.4.4914-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlJIcA8ACgkQkwbJvNrxBUxV6QCglip9x9WxrU7+x6+tb0+hrvQp
6XMAn2mYg6vVZPdyg/oKR1iDCLIXxXnC
=7iwG
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 29 Nov 2013 07:29:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:01:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.